Go to the latest version of this document.

# ``twisted`.`words`.`im`.`interfaces`.`IAccount``

interface documentation

`class IAccount(Interface): (source)`

Constructor: `IAccount(autoLogin, username, password, host, port)`

Known implementations: `twisted.words.im.ircsupport.IRCAccount`, `twisted.words.im.pbsupport.PBAccount`

View In Hierarchy

I represent a user's account with a chat service.

Method | `__init__` | No summary
Method | `getGroup` | No summary
Method | `getPerson` | No summary
Method | `isOnline` | Am I online?
Method | `logOff` | Sign off.
Method | `logOn` | Go on-line.
Attribute | `client` | The `IClient` currently connecting to this account, if any.
Attribute | `gatewayType` | A `str` that identifies the protocol used by this account.

def __init__(accountName, autoLogin, username, password, host, port): (source)

Parameters
accountName:string | A name to refer to the account by locally.
autoLogin:boolean | Undocumented
username:string | Undocumented
password:string | Undocumented
host:string | Undocumented
port:integer | Undocumented

def getGroup(groupName): (source)

Returns
`Group` | Undocumented

def getPerson(personName): (source)

Returns
`Person` | Undocumented

def isOnline(): (source)

Am I online?

Returns
boolean | Undocumented

def logOff(): (source)

Sign off.

def logOn(chatui): (source)

Go on-line.

Parameters
chatui:Implementor of `IChatUI` | Undocumented

Returns
`Deferred` with an eventual `IClient` result. | Undocumented

client = (source)

The `IClient` currently connecting to this account, if any.

gatewayType = (source)

A `str` that identifies the protocol used by this account.